device(1).
job(30).
instances(1,2).
device(2).
instances(2,1).
device(3).
instances(3,2).
device(4).
instances(4,1).
device(5).
instances(5,1).
job(1).
job(31).
job(32).
job(33).
job(2).
job(3).
job(4).
job(5).
job(6).
job(7).
job(8).
job(9).
job(10).
job(11).
job(12).
job(13).
job(14).
job(15).
job(16).
job(17).
job(18).
job(19).
job(20).
job(21).
job(22).
job(23).
job(24).
job(25).
job(26).
job(27).
job(28).
job(29).
job_device(21,5).
job_device(24,5).
job_device(27,5).
job_device(30,5).
job_device(33,5).
job_len(33,6).
job_len(32,5).
job_len(31,15).
job_len(30,11).
job_len(29,10).
job_len(28,8).
precedes(1,2).
precedes(2,3).
precedes(4,5).
precedes(5,6).
precedes(7,8).
precedes(8,9).
precedes(10,11).
precedes(11,12).
precedes(13,14).
precedes(14,15).
precedes(16,17).
precedes(17,18).
precedes(19,20).
precedes(20,21).
precedes(22,23).
precedes(23,24).
precedes(25,26).
precedes(26,27).
precedes(28,29).
precedes(29,30).
precedes(31,32).
precedes(32,33).
importance(33,1).
importance(32,3).
importance(31,2).
importance(30,2).
importance(29,3).
importance(28,3).
importance(27,1).
importance(26,1).
importance(25,3).
importance(24,1).
importance(23,3).
importance(22,1).
importance(21,1).
importance(20,1).
importance(19,1).
importance(18,2).
importance(17,1).
importance(16,2).
importance(15,2).
importance(14,2).
importance(13,1).
importance(12,2).
importance(11,2).
importance(10,1).
importance(9,3).
importance(8,2).
importance(7,1).
importance(6,2).
importance(5,3).
importance(4,3).
importance(3,2).
importance(2,2).
importance(1,1).
job_device(1,2).
job_device(4,2).
job_device(7,2).
job_device(10,1).
job_device(13,1).
job_device(16,2).
job_device(19,2).
job_device(22,1).
job_device(25,2).
job_device(28,2).
job_device(31,1).
job_device(2,3).
job_device(5,3).
job_device(8,4).
job_device(11,4).
job_device(14,3).
job_device(17,4).
job_device(20,3).
job_device(23,4).
job_device(26,3).
job_device(29,3).
job_device(32,3).
job_device(3,5).
job_device(6,5).
job_device(9,5).
job_device(12,5).
job_device(15,5).
job_device(18,5).
job_len(27,11).
job_len(26,17).
job_len(25,4).
job_len(24,4).
job_len(23,6).
job_len(22,18).
job_len(21,16).
job_len(20,7).
job_len(19,8).
job_len(18,19).
job_len(17,8).
job_len(16,7).
job_len(15,9).
job_len(14,13).
job_len(13,13).
job_len(12,13).
job_len(11,14).
job_len(10,9).
job_len(9,5).
job_len(8,8).
job_len(7,8).
job_len(6,16).
job_len(5,4).
job_len(4,15).
job_len(3,20).
job_len(2,14).
job_len(1,18).
deadline(3,17).
deadline(6,15).
deadline(9,26).
deadline(12,11).
deadline(15,32).
deadline(18,30).
deadline(21,35).
deadline(24,22).
deadline(27,20).
deadline(30,24).
deadline(33,28).
offline_instance(3,2).
offline_instance(1,2).
max_total_penalty(1226).
curr_job_start(33,20).
curr_job_start(24,37).
curr_job_start(21,76).
curr_job_start(18,41).
curr_job_start(15,26).
curr_job_start(9,92).
curr_job_start(6,60).
curr_job_start(23,31).
curr_job_start(17,7).
curr_job_start(8,38).
curr_job_start(32,15).
curr_job_start(20,30).
curr_job_start(14,13).
curr_job_start(5,22).
curr_job_start(19,22).
curr_job_start(16,0).
curr_job_start(7,30).
curr_job_start(4,7).
curr_job_start(31,0).
curr_job_start(22,13).
curr_job_start(13,0).
curr_on_instance(33,1).
curr_on_instance(32,1).
curr_on_instance(31,2).
curr_on_instance(24,1).
curr_on_instance(23,1).
curr_on_instance(22,1).
curr_on_instance(21,1).
curr_on_instance(20,1).
curr_on_instance(19,1).
curr_on_instance(18,1).
curr_on_instance(17,1).
curr_on_instance(16,1).
curr_on_instance(15,1).
curr_on_instance(14,2).
curr_on_instance(13,1).
curr_on_instance(9,1).
curr_on_instance(8,1).
curr_on_instance(7,1).
curr_on_instance(6,1).
curr_on_instance(5,1).
curr_on_instance(4,1).
curr_time(23).
max_value(1417).

